# $Revision: 1.145 $, $Date: 2011/07/14 16:06:01 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	A C++ interface for the GTK+ (a GUI library for X)
Summary(pl.UTF-8):	Wrapper C++ dla GTK+
Name:		gtkmm
Version:	2.24.2
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtkmm/2.24/%{name}-%{version}.tar.xz
# Source0-md5:	388a63ffc40cc8e208df9a1732a67d2d
URL:		http://www.gtkmm.org/
BuildRequires:	atkmm-devel >= 2.22.2
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	cairomm-devel >= 1.6.3
BuildRequires:	glibmm-devel >= 2.24.0
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	libsigc++-devel
BuildRequires:	libstdc++-devel >= 5:3.3.1
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	mm-common >= 0.8
BuildRequires:	pangomm-devel >= 2.28.0
BuildRequires:	perl-base >= 1:5.6.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	atkmm >= 2.22.2
Requires:	cairomm >= 1.6.3
Requires:	glibmm >= 2.24.0
Requires:	gtk+2 >= 2:2.24.0
Requires:	pangomm >= 2.28.0
Obsoletes:	Gtk--
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library. The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented
framework. Features include type safe callbacks, widgets that are
extensible using inheritance and over 110 classes that can be freely
combined to quickly create complex user interfaces.

%description -l pl.UTF-8
gtkmm jest wrapperem C++ dla Gimp ToolKit (GTK). GTK+ jest biblioteką
służącą do tworzenia graficznych interfejsów. W pakiecie znajduje się
także biblioteka gdkmm - wrapper C++ dla GDK (General Drawing Kit).

%package devel
Summary:	gtkmm and gdkmm header files
Summary(pl.UTF-8):	Pliki nagłówkowe gtkmm i gdkmm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	atkmm-devel >= 2.22.2
Requires:	glibmm-devel >= 2.24.0
Requires:	gtk+2-devel >= 2:2.24.0
Requires:	pangomm-devel >= 2.28.0

%description devel
Header files for gtkmm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gtkmm.

%package static
Summary:	gtkmm and gdkmm static libraries
Summary(pl.UTF-8):	Biblioteki statyczne gtkmm i gdkmm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
gtkmm and gdkmm static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne gtkmm i gdkmm.

%package apidocs
Summary:	Reference documentation for gtkmm and gdkmm
Summary(pl.UTF-8):	Szczegółowa dokumentacja gtkmm i gdkmm
Group:		Documentation
Requires:	devhelp
Obsoletes:	gtkmm-doc

%description apidocs
Reference documentation for gtkmm and gdkmm.

%description apidocs -l pl.UTF-8
Szczegółowa dokumentacja gtkmm i gdkmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS PORTING README
%attr(755,root,root) %{_libdir}/libgdkmm-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdkmm-2.4.so.1
%attr(755,root,root) %{_libdir}/libgtkmm-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkmm-2.4.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdkmm-2.4.so
%attr(755,root,root) %{_libdir}/libgtkmm-2.4.so
%{_libdir}/gdkmm-2.4
%{_libdir}/gtkmm-2.4
%{_includedir}/gdkmm-2.4
%{_includedir}/gtkmm-2.4
%{_pkgconfigdir}/gdkmm-2.4.pc
%{_pkgconfigdir}/gtkmm-2.4.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgdkmm-2.4.a
%{_libdir}/libgtkmm-2.4.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/gtkmm-2.4
%{_datadir}/devhelp/books/gtkmm-2.4

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkmm.spec,v $
Revision 1.145  2011/07/14 16:06:01  qboosh
- updated to 2.24.2

Revision 1.144  2011/06/17 08:40:21  lisu
- atkmm >= 2.22.2 is required

Revision 1.143  2011/04/15 10:37:55  lisu
- reversed, there is already spec for 3.x.x

Revision 1.141  2011/03/24 10:18:12  wiget
- BR/R stable pangomm (2.28.0)
- rename doc subpackage to apidocs
- rel. 1

Revision 1.140  2011/03/18 12:08:13  lisu
- rel 0.1 unless pangomm 2.8 is done

Revision 1.139  2011/03/02 15:52:58  lisu
- up to 2.24.0
- updated deps
- removed libtool files

Revision 1.138  2010/11/16 07:59:27  qboosh
- removed obsolete --disable-demos switch
- run autoheader

Revision 1.137  2010/10/15 09:06:07  lisu
- updated to 2.22.0
- gtkmm-atk-* are now in atkmm.spec

Revision 1.136  2010/05/14 16:29:55  megabajt
- updated to 2.20.3

Revision 1.135  2010/04/16 18:40:39  megabajt
- updated to 2.20.2

Revision 1.134  2010/04/07 17:42:39  megabajt
- updated to 2.20.1

Revision 1.133  2010/04/03 10:54:33  megabajt
- updated deps

Revision 1.132  2010/04/02 19:14:06  sls
- ver. 2.20.0

Revision 1.131  2010/02/15 14:49:14  megabajt
- updated to 2.18.2

Revision 1.130  2009/06/17 20:02:51  hawk
- release 2

Revision 1.129  2009/04/11 22:33:26  qboosh
- updated to 2.16.0

Revision 1.128  2008/11/16 19:26:36  megabajt
- updated to 2.14.3

Revision 1.127  2008/11/07 13:57:21  pluto
- release 2.

Revision 1.126  2008/11/02 13:21:29  megabajt
- updated to 2.14.1
- removed obsolete -lt.patch
- pangomm library moved to pangomm.spec

Revision 1.125  2008/04/02 15:01:38  patrys
- 2.12.7

Revision 1.124  2008-03-15 18:50:17  qboosh
- updated to 2.12.5
- added lt patch (fixes build with libtool 2.2)

Revision 1.123  2007-11-09 18:42:13  megabajt
- updated to 2.12.3

Revision 1.122  2007-10-05 14:49:26  megabajt
- updated to 2.12.1

Revision 1.121  2007/09/14 17:24:58  megabajt
- updated to 2.12.0

Revision 1.120  2007/08/27 20:39:38  qboosh
- updated to 2.10.11

Revision 1.119  2007/05/02 19:09:13  megabajt
- updated to 2.10.10

Revision 1.118  2007/04/17 14:53:20  megabajt
- updated to 2.10.9

Revision 1.117  2007/03/04 12:52:31  megabajt
- updated to 2.10.8

Revision 1.116  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.115  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.114  2007/01/29 17:26:22  megabajt
- updated to 2.10.7

Revision 1.113  2006/12/25 15:19:18  megabajt
- up to 2.10.6

Revision 1.112  2006/12/21 01:40:17  glen
- add todo

Revision 1.111  2006/11/27 22:10:23  megabajt
- up to 2.10.5

Revision 1.110  2006/11/22 10:10:46  megabajt
- up to 2.10.4

Revision 1.109  2006/09/22 22:09:50  grzegol
- 2.10.2

Revision 1.108  2006/08/22 04:41:15  freetz
- 2.10.1, updated deps

Revision 1.107  2006/08/18 17:58:57  freetz
- 2.10.0, updated deps

Revision 1.106  2006/08/11 05:29:49  freetz
- 2.9.10

Revision 1.105  2006/07/26 20:36:03  freetz
- 2.9.9

Revision 1.104  2006/07/19 16:53:04  freetz
- 2.9.8, updated deps

Revision 1.103  2006/07/16 10:17:33  freetz
- 2.9.7, updated deps, --as-needed support

Revision 1.102  2006/05/26 12:03:28  qboosh
- updated to 2.8.8

Revision 1.101  2006/04/14 15:13:00  freetz
- 2.8.5

Revision 1.100  2006/03/05 07:30:48  qboosh
- updated deps, removed redundant ones, simplified static_libs bcond, release 2

Revision 1.99  2006/02/23 21:50:21  adgor
- Examples bcond

Revision 1.98  2006/02/02 07:23:02  freetz
- 2.8.3

Revision 1.97  2005/12/16 11:23:26  freetz
- 2.8.2, autoheader is not needed here

Revision 1.96  2005/10/21 06:51:34  freetz
- 2.8.1

Revision 1.95  2005/09/07 17:40:36  freetz
- merged from DEVEL and updated to 2.8.0

Revision 1.93.2.3  2005/08/18 18:51:57  paladine
- updated to 2.7.4

Revision 1.93.2.2  2005/07/27 14:35:31  freetz
- 2.7.3

Revision 1.93.2.1  2005/07/11 18:41:16  freetz
- 2.7.1, dropped link patch
